## org.eclipse.amp.escape.amf.ide
Class ExecuteAMFHandler

    java.lang.Object
      org.eclipse.core.commands.common.EventManager
          org.eclipse.core.commands.AbstractHandler
              org.eclipse.amp.escape.command.ResourceHandler
                  org.eclipse.amp.escape.command.ExecuteHandler
                      org.eclipse.amp.escape.amf.ide.ExecuteAMFHandler

All Implemented Interfaces:
  org.eclipse.core.commands.IHandler, org.eclipse.core.commands.IHandler2

Direct Known Subclasses:
  ExecuteAMF3DHandler, ExecuteAMFHeadlessHandler

    public class ExecuteAMFHandler

extends ExecuteHandler

Constructor Summary
`ExecuteAMFHandler()`
`ExecuteAMFHandler(boolean headless)`

Method Summary
`SContext` `getModel()`

Methods inherited from class org.eclipse.amp.escape.command.ExecuteHandler
`execute, isHeadless, setEnabled, setHeadless`

Methods inherited from class org.eclipse.amp.escape.command.ResourceHandler
`execute, execute, executeHandler, getMonitor, setMonitor`

Methods inherited from class org.eclipse.core.commands.AbstractHandler
`addHandlerListener, dispose, isEnabled, isHandled, removeHandlerListener`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExecuteAMFHandler

    public ExecuteAMFHandler()

### ExecuteAMFHandler

    public ExecuteAMFHandler(boolean headless)

Method Detail

### getModel

    public SContext getModel()

  Returns:
    the model